function RtuModuleFirstPage()
{
  //泓格專用
  this.CreateIcpdasModule = function(that){RtuModuleFirstPage.prototype._CreateIcpdasModule_(that);};
  this.UploadFile = function(that, Event){RtuModuleFirstPage.prototype._UploadFile_(that, Event);};
  this.UpdateFile = function(that){RtuModuleFirstPage.prototype._UpdateFile_(that);};
  var FileTransmission = function(that, file){RtuModuleFirstPage.prototype._FileTransmission_(that, file);};
  //建立資料
  var CreateRtuSettingObject = function(number){RtuModuleFirstPage.prototype._CreateRtuSettingObject_(number);};
  var BuildRtuModuleAllObject   = function(that){RtuModuleFirstPage.prototype._BuildRtuModuleAllObject_(that);};
  var BuildRtuModuleObject   = function(ModuleName, number){RtuModuleFirstPage.prototype._BuildRtuModuleObject_(ModuleName, number);};
  var InitializationSlaveId  = function(DeviceName){RtuModuleFirstPage.prototype._InitializationSlaveId_(DeviceName);};
  //編碼
  var DeleteRepeatNumber     = function(number){RtuModuleFirstPage.prototype._DeleteRepeatNumber_(number);};
  var UpdateNumber       = function(ObjectKey){RtuModuleFirstPage.prototype._UpdateNumber_(ObjectKey);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){RtuModuleFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){RtuModuleFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){RtuModuleFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){RtuModuleFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //對話框
  this.CopyDialogEnabled  = function(Event){RtuModuleFirstPage.prototype._CopyDialogEnabled_(Event);};
  this.CopyDialogDisabled = function(){RtuModuleFirstPage.prototype._CopyDialogDisabled_();};
  
  this.ClearDialogEnabled  = function(Event){RtuModuleFirstPage.prototype._ClearDialogEnabled_(Event);};
  this.ClearDialogDisabled = function(){RtuModuleFirstPage.prototype._ClearDialogDisabled_();};
  //介面
  this.RedisplayUi       = function(){RtuModuleFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetDeviceName   = function(){return RtuModuleFirstPage.prototype._GetDeviceName_();};
  var GetAllDeviceName   = function(){return RtuModuleFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return RtuModuleFirstPage.prototype._GetAllNumber_();};
  var GetGlobal_RtuModuleObjectKey = function(DeviceName){return RtuModuleFirstPage.prototype._GetGlobal_RtuModuleObjectKey_(DeviceName);};
  
  //複製
  var CopyGlobalVariable = function(DeviceName, number){RtuModuleFirstPage.prototype._CopyGlobalVariable_(DeviceName, number);};
  var CopyTickedModule   = function(){RtuModuleFirstPage.prototype._CopyTickedModule_();};
  this.CopyModule        = function(){RtuModuleFirstPage.prototype._CopyModule_();};
  //移除
  var RemoveGlobalVariable = function(DeviceName, number){RtuModuleFirstPage.prototype._RemoveGlobalVariable_(DeviceName, number);};
  var RemoveTickedModule   = function(){RtuModuleFirstPage.prototype._RemoveTickedModule_();};
  this.DeleteModule        = function(){RtuModuleFirstPage.prototype._DeleteModule_();};
  this.ClearAllModule = function(that){RtuModuleFirstPage.prototype._ClearAllModule_(that);};
  //判斷
  this.IsTickedModule = function(){return RtuModuleFirstPage.prototype._IsTickedModule_();};
  //載入
  var LoadComPortName = function(){RtuModuleFirstPage.prototype._LoadComPortName_();};
  var LoadIcpdasModule = function(){RtuModuleFirstPage.prototype._LoadIcpdasModule_();};
  //初始化
  var AutomaticConfigurationComPortName = function(){RtuModuleFirstPage.prototype._AutomaticConfigurationComPortName_();};
  var InitializationGlobalVariable = function(){RtuModuleFirstPage.prototype._InitializationGlobalVariable_();};
  this.Initialization = function(){RtuModuleFirstPage.prototype._Initialization_();};
  //檢查
  this.CheckModuleName = function(that){RtuModuleFirstPage.prototype._CheckModuleName_(that);};
  //儲存
  var SaveModuleSetting = function(Result){RtuModuleFirstPage.prototype._SaveModuleSetting_(Result);};
  var SaveConvertSetting = function(Result){RtuModuleFirstPage.prototype._SaveConvertSetting_(Result);};
  var SaveAdvancedSetting = function(Result){RtuModuleFirstPage.prototype._SaveAdvancedSetting_(Result);};
  var SaveLoggerSetting = function(Result){RtuModuleFirstPage.prototype._SaveLoggerSetting_(Result);};
  var SaveRtuDataLayerAndServiceLayerVariables = function(Result){RtuModuleFirstPage.prototype._SaveRtuDataLayerAndServiceLayerVariables_(Result);};
  this.SaveDataLayerAndServiceLayerVariables = function(Result){return RtuModuleFirstPage.prototype._SaveDataLayerAndServiceLayerVariables_(Result);};
  //按鈕
  this.ModuleAddNewRow   = function(that){RtuModuleFirstPage.prototype._ModuleAddNewRow_(that);};
  this.EditButton = function(that){RtuModuleFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){RtuModuleFirstPage.prototype._SaveButton_(that);};
  //下拉選單
  this.ChangeComPortDevice = function(that){RtuModuleFirstPage.prototype._ChangeComPortDevice_(that);};
  //差集
  var ArrayComplement = function(FirstArray, SecondArray){return RtuModuleFirstPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
}










function RtuModuleSecondPage()
{
  //表格
  var CreateScalingTable         = function(DataModelId, Obj){RtuModuleSecondPage.prototype._CreateScalingTable_(DataModelId, Obj);};
  var CreateBitwiseTable         = function(DataModelId, Obj){RtuModuleSecondPage.prototype._CreateBitwiseTable_(DataModelId, Obj);};
  var CreateTable         = function(DataModelId, that){RtuModuleSecondPage.prototype._CreateTable_(DataModelId, that);};
  this.ProduceTable        = function(that){RtuModuleSecondPage.prototype._ProduceTable_(that);};
  var GetSettingFormValue = function(){return RtuModuleSecondPage.prototype._GetSettingFormValue_();};
  this.SelectDataModelCombobox = function(that){RtuModuleSecondPage.prototype._SelectDataModelCombobox_(that);};
  this.InitialSettingFormValue = function(that){RtuModuleSecondPage.prototype._InitialSettingFormValue_(that);};
  //總表
  var ConvertedIntoTotalTableUiData = function(Data){RtuModuleSecondPage.prototype._ConvertedIntoTotalTableUiData_(Data);};
  var GetTotalTableNeedData = function(number){RtuModuleSecondPage.prototype._GetTotalTableNeedData_(number);};
  var SetTotalTableInitialValue = function(number){RtuModuleSecondPage.prototype._SetTotalTableInitialValue_(number);};  
  var GetTotalTableOldData = function(DataModelId){return RtuModuleSecondPage.prototype._GetTotalTableOldData_(DataModelId);};
  var TotalTableAddNewRow = function(DataModelId, Data){RtuModuleSecondPage.prototype._TotalTableAddNewRow_(DataModelId, Data);};
  var AddTotalTableData = function(StartAddress, DataNumber, DataType, Data){return RtuModuleSecondPage.prototype._AddTotalTableData_(StartAddress, DataNumber, DataType, Data);};
  var SetTotalTableNewRowValue = function(DataModelId, Data){RtuModuleSecondPage.prototype._SetTotalTableNewRowValue_(DataModelId, Data);};
  var GetItemTableValue = function(that){return RtuModuleSecondPage.prototype._GetItemTableValue_(that);};
  var CompareDataModelTableNeedDeleteAddress = function(that){return RtuModuleSecondPage.prototype._CompareDataModelTableNeedDeleteAddress_(that);};
  var CompareDataModelTableNeedAddAddress = function(that){return RtuModuleSecondPage.prototype._CompareDataModelTableNeedAddAddress_(that);};
  var ItemTableCss = function(Mode, that){RtuModuleSecondPage.prototype._ItemTableCss_(Mode, that);};
  //資料類型表
  var GetDataModelTableUiData = function(number){RtuModuleSecondPage.prototype._GetDataModelTableUiData_(number);};
  var SetDataModelTableInitialValue = function(number){RtuModuleSecondPage.prototype._SetDataModelTableInitialValue_(number);};
  var GetDataModelTableOldData      = function(DataModelId){return RtuModuleSecondPage.prototype._GetDataModelTableOldData_(DataModelId);};
  var DataModelTableAddNewRow       = function(DataModelId, Data){RtuModuleSecondPage.prototype._DataModelTableAddNewRow_(DataModelId, Data);};
  var AddDataModelTableData = function(Data, AddAddress, DataType){return RtuModuleSecondPage.prototype._AddDataModelTableData_(Data, AddAddress, DataType);};
  var SetDataModelTableNewRowValue  = function(DataModelId, Data){RtuModuleSecondPage.prototype._SetDataModelTableNewRowValue_(DataModelId, Data);};
  var DeleteDataModelTableData = function(Data, DeleteAddress){return RtuModuleSecondPage.prototype._DeleteDataModelTableData_(Data, DeleteAddress);};
  var GenerateNeedAddAddress = function(StartAddress, DataNumber, DataType){return RtuModuleSecondPage.prototype._GenerateNeedAddAddress_(StartAddress, DataNumber, DataType);};
  var GenerateNeedDeleteAddress = function(StartAddress, DataNumber, DataType){return RtuModuleSecondPage.prototype._GenerateNeedDeleteAddress_(StartAddress, DataNumber, DataType);};
  var ModifyDataModelTableData = function(that, DataModelId, Obj){RtuModuleSecondPage.prototype._ModifyDataModelTableData_(that, DataModelId, Obj);};
  //Scale設定表
  var GetScalingTableUiData = function(number){RtuModuleSecondPage.prototype._GetScalingTableUiData_(number);};
  var SetScalingTableInitialValue = function(number){RtuModuleSecondPage.prototype._SetScalingTableInitialValue_(number);};
  var GetScalingTableOldData      = function(DataModelId){return RtuModuleSecondPage.prototype._GetScalingTableOldData_(DataModelId);};
  var ScalingTableAddNewRow       = function(DataModelId, Data){RtuModuleSecondPage.prototype._ScalingTableAddNewRow_(DataModelId, Data);};
  var AddScalingTableData = function(Data, AddAddress, DataType){return RtuModuleSecondPage.prototype._AddScalingTableData_(Data, AddAddress, DataType);};
  var SetScalingTableNewRowValue  = function(DataModelId, Data){RtuModuleSecondPage.prototype._SetScalingTableNewRowValue_(DataModelId, Data);};
  this.ScaleRangeSettingEnabled  = function(that){RtuModuleSecondPage.prototype._ScaleRangeSettingEnabled_(that);};
  this.ScaleRangeSettingDisabled  = function(that){RtuModuleSecondPage.prototype._ScaleRangeSettingDisabled_(that);};
  var DeleteScalingDynamicRow = function(StartAddress, TableId){RtuModuleSecondPage.prototype._DeleteScalingDynamicRow_(StartAddress, number, TableId);};
  var ModifyScalingTableData = function(that, DataModelId, Obj){RtuModuleSecondPage.prototype._ModifyScalingTableData_(that, DataModelId, Obj);};
  //Bitwise設定表
  var GetBitwiseVariableFromGlobal = function(object, Data){RtuModuleSecondPage.prototype.GetBitwiseVariableFromGlobal(object, Data);};
  var GetBitwiseTableUiData = function(number){RtuModuleSecondPage.prototype._GetBitwiseTableUiData_(number);};
  var SetBitwiseTableInitialValue = function(number){RtuModuleSecondPage.prototype._SetBitwiseTableInitialValue_(number);};
  var GetBitwiseTagValue      = function(DataModelId, Data, number){RtuModuleSecondPage.prototype._GetBitwiseTagValue_(DataModelId, Data, number);};
  var GetBitwiseTableOldData      = function(DataModelId){return RtuModuleSecondPage.prototype._GetBitwiseTableOldData_(DataModelId);};
  var AddBitwiseSettingRow       = function(DataModelId, Data){RtuModuleSecondPage.prototype._AddBitwiseSettingRow_(DataModelId, Data);};
  var BitwiseTableAddNewRow       = function(DataModelId, Data){RtuModuleSecondPage.prototype._BitwiseTableAddNewRow_(DataModelId, Data);};
  var AddBitwiseTableData = function(Data, AddAddress, DataType){return RtuModuleSecondPage.prototype._AddBitwiseTableData_(Data, AddAddress, DataType);};
  var SetBitwiseTagValue = function(DataModelId, Data, number){RtuModuleSecondPage.prototype._SetBitwiseTagValue_(DataModelId, Data, number);};
  var SetBitwiseTableNewRowValue  = function(DataModelId, Data){RtuModuleSecondPage.prototype._SetBitwiseTableNewRowValue_(DataModelId, Data);};
  this.BitwiseSettingEnabled  = function(that){RtuModuleSecondPage.prototype._BitwiseSettingEnabled_(that);};
  this.BitwiseSettingDisabled  = function(that){RtuModuleSecondPage.prototype._BitwiseSettingDisabled_(that);};
  var DeleteBitwiseDynamicRow = function(StartAddress, TableId){RtuModuleSecondPage.prototype._DeleteBitwiseDynamicRow_(StartAddress, number, TableId);};
  var ModifyBitwiseTableData = function(that, DataModelId, Obj){RtuModuleSecondPage.prototype._ModifyBitwiseTableData_(that, DataModelId, Obj);};
  //檢查
  var CheckScalingTable = function(){return RtuModuleSecondPage.prototype._CheckScalingTable_();};
  var CheckBitwiseTable = function(){return RtuModuleSecondPage.prototype._CheckBitwiseTable_();};
  var CheckTotalTable = function(){return RtuModuleSecondPage.prototype._CheckTotalTable_();};
  var CheckDataModelTable = function(){return RtuModuleSecondPage.prototype._CheckDataModelTable_();};
  var CheckZoomAddressCollision = function(that){return RtuModuleSecondPage.prototype._CheckZoomAddressCollision_(that);};
  var CheckAddressCollision = function(DataModel, StartAddress, DataNumber, DataType){return RtuModuleSecondPage.prototype._CheckAddressCollision_(DataModel, StartAddress, DataNumber, DataType);};
  this.CheckPollingTimeout = function(that){RtuModuleSecondPage.prototype._CheckPollingTimeout_(that);};//最小20
  this.CheckStartAddress = function(that){RtuModuleSecondPage.prototype._CheckStartAddress_(that);};//為0或正整數
  this.CheckDataNumber = function(that){RtuModuleSecondPage.prototype._CheckDataNumber_(that);};//正整數  
  this.CheckVariableName = function(that){RtuModuleSecondPage.prototype._CheckVariableName_(that);};
  this.CheckScalingVariableName = function(that){RtuModuleSecondPage.prototype._CheckScalingVariableName_(that);};
  this.CheckBitwiseVariableName = function(that){RtuModuleSecondPage.prototype._CheckBitwiseVariableName_(that);};
  this.CheckModuleName = function(that){RtuModuleSecondPage.prototype._CheckModuleName_(that);};
  this.CheckSlaveId = function(that){RtuModuleSecondPage.prototype._CheckSlaveId_(that);};
  this.CheckRetryCount = function(that){RtuModuleSecondPage.prototype._CheckRetryCount_(that);};
  var CheckJsonRetryExist = function(RtuSetting){RtuModuleSecondPage.prototype._CheckJsonRetryExist_(RtuSetting);};
  //取值
  var GetTableVariableValue = function(that){return RtuModuleSecondPage.prototype._GetTableVariableValue_(that);};
  var GetScalingTableVariableValue = function(that){return RtuModuleSecondPage.prototype._GetScalingTableVariableValue_(that);};
  var GetBitwiseUIValue = function(that){return RtuModuleSecondPage.prototype._GetBitwiseUIValue_(that);};
  var GetBitwiseTableVariableValue = function(that){return RtuModuleSecondPage.prototype._GetBitwiseTableVariableValue_(that);};
  var GetGridNumber = function(DataType){return RtuModuleSecondPage.prototype._GetGridNumber_(DataType);};
  var GetGroupNumber = function(DataModelId, CurrentlyAddress){RtuModuleSecondPage.prototype._GetGroupNumber_(DataModelId, CurrentlyAddress);};
  var GetDataModel = function(string){RtuModuleSecondPage.prototype._GetDataModel_(string);};
  var GetExistAddress = function(that){RtuModuleSecondPage.prototype._GetExistAddress_(that);};
  //判斷
  var IsNameFormat = function(AllName, Name){return RtuModuleSecondPage.prototype._IsNameFormat_(Name);};
  var IsNameRepeat = function(AllName, Name){return RtuModuleSecondPage.prototype._IsNameRepeat_(AllName, Name);};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return RtuModuleSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return RtuModuleSecondPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //介面
  var ClearForm = function(){RtuModuleSecondPage.prototype._ClearForm_();};
  var ClearDataModelTable = function(){RtuModuleSecondPage.prototype._ClearDataModelTable_();};
  var ClearTotalTable = function(){RtuModuleSecondPage.prototype._ClearTotalTable_();};
  var ClearScalingTable = function(){RtuModuleSecondPage.prototype._ClearScalingTable_();};
  var CleaBitwiseTable = function(){RtuModuleSecondPage.prototype._ClearBitwiseTable_();};
  var ClearAllCss = function(that){RtuModuleSecondPage.prototype._ClearAllCss_(that);};
  var ChangeCurrentlyTabCss = function(that){RtuModuleSecondPage.prototype._ChangeCurrentlyTabCss_(that);};
  var HideAllTotalTable = function(){RtuModuleSecondPage.prototype._HideAllTotalTable_();};
  var ShowAllTotalTable = function(){RtuModuleSecondPage.prototype._ShowAllTotalTable_();};
  var HideAllDataModelForm = function(){RtuModuleSecondPage.prototype._HideAllDataModelForm_();};
  var ShowAllDataModelForm = function(){RtuModuleSecondPage.prototype._ShowAllDataModelForm_();};
  var HideScalingTableForm = function(){RtuModuleSecondPage.prototype._HideScalingTableForm_();};
  var ShowScalingTableForm = function(){RtuModuleSecondPage.prototype._ShowScalingTableForm_();};
  var HideBitwiseTableForm = function(){RtuModuleSecondPage.prototype._HideBitwiseTableForm_();};
  var ShowBitwiseTableForm = function(){RtuModuleSecondPage.prototype._ShowBitwiseTableForm_();};
  this.ChangeModbusTab = function(Mode, that){RtuModuleSecondPage.prototype._ChangeModbusTab_(Mode, that);};
  this.ChangeRetryCss = function(Retry){RtuModuleSecondPage.prototype._ChangeRetryCss_(Retry);};
  //按鈕
  this.OkButton     = function(that){RtuModuleSecondPage.prototype._OkButton_(that);};
  this.CancelButton = function(that){RtuModuleSecondPage.prototype._CancelButton_(that);};
  this.EditButton   = function(that){RtuModuleSecondPage.prototype._EditButton_(that);};
  this.DeleteButton = function(that){RtuModuleSecondPage.prototype._DeleteButton_(that);};
  this.ConfirmButton = function(that){RtuModuleSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){RtuModuleSecondPage.prototype._NoConfirmButton_();};
  //其他服務同步資料
  var CreateVariableEmptyObject = function(number){return RtuModuleSecondPage.prototype._CreateVariableEmptyObject_(number);};
  var CreateScalingVariableEmptyObject = function(number){return RtuModuleSecondPage.prototype._CreateScalingVariableEmptyObject_(number);};
  var CreateBitwiseVariableEmptyObject = function(number){return RtuModuleSecondPage.prototype._CreateBitwiseVariableEmptyObject_(number);};
  var InitialRtuToScalingEmptyObject = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuToScalingEmptyObject_(object, number);};
  var InitialRtuScalingToOpcuaEmptyObject = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuScalingToOpcuaEmptyObject_(object, number);};
  var InitialRtuToOpcuaEmptyObject = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuToOpcuaEmptyObject_(object, number);};
  var InitialRtuToBitwiseEmptyObject = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuToBitwiseEmptyObject_(object, number);};
  var InitialRtuBitwiseToOpcuaValue = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuBitwiseToOpcuaValue_(object, number);};
  var InitialRtuBitwiseToOpcuaEmptyObject = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuBitwiseToOpcuaEmptyObject_(object, number);};
  var RetainRtuToOpcuaData = function(object, number){return RtuModuleSecondPage.prototype._RetainRtuToOpcuaData_(object, number);};
  var RetainRtuToScalingData = function(object, number){return RtuModuleSecondPage.prototype._RetainRtuToScalingData_(object, number);};
  var RetainRtuScalingToOpcuaData = function(object, number){return RtuModuleSecondPage.prototype._RetainRtuScalingToOpcuaData_(object, number);};
  var RetainRtuToBitwiseData = function(object, number){return RtuModuleSecondPage.prototype._RetainRtuToBitwiseData_(object, number);};
  var UpdateRtuBitwiseToOpcuaVariable = function(number, SystemVariable){return RtuModuleSecondPage.prototype._UpdateRtuBitwiseToOpcuaVariable_(number, SystemVariable);};
  var RetainRtuBitwiseToOpcuaData = function(object, number){return RtuModuleSecondPage.prototype._RetainRtuBitwiseToOpcuaData_(object, number);};

  var InitialRtuToMqttVariableEmptyObject = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuToMqttVariableEmptyObject_(object, number);};
  var RetainRtuToMqttVariableData = function(object, number){return RtuModuleSecondPage.prototype._RetainRtuToMqttVariableData_(object, number);};
 
  var InitialRtuToMqttJsonVariableEmptyObject = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuToMqttJsonVariableEmptyObject_(object, number);};
  var RetainRtuToMqttJsonVariableData = function(object, number){return RtuModuleSecondPage.prototype._RetainRtuToMqttJsonVariableData_(object, number);};

  var InitialRtuToMsSqlVariableEmptyObject = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuToMsSqlVariableEmptyObject_(object, number);};
  var RetainRtuToMsSqlVariableData = function(object, number){return RtuModuleSecondPage.prototype._RetainRtuToMsSqlVariableData_(object, number);};
  var InitialRtuToMysqlConnectionVariableEmptyObject = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuToMysqlConnectionVariableEmptyObject_(object, number);};
  var RetainRtuToMysqlConnectionVariableData = function(object, number){return RtuModuleSecondPage.prototype._RetainRtuToMysqlConnectionVariableData_(object, number);};

  var InitialRtuToLocalDataLoggerVariableEmptyObject = function(object, number){return RtuModuleSecondPage.prototype._InitialRtuToLocalDataLoggerVariableEmptyObject_(object, number);};
  var RetainRtuToLocalDataLoggerVariableData = function(object, number){return RtuModuleSecondPage.prototype._RetainRtuToLocalDataLoggerVariableData_(object, number);};

  var SynchronizeOtherServiceData = function(object, number){RtuModuleSecondPage.prototype._SynchronizeOtherServiceData_(object, number);};
  var SynchronizeOtherServiceScalingData = function(object, number){RtuModuleSecondPage.prototype._SynchronizeOtherServiceScalingData_(object, number);};
  var SynchronizeRtuToScalingData = function(object, number){RtuModuleSecondPage.prototype._SynchronizeRtuToScalingData_(object, number);};
  var SynchronizeRtuScalingToOpcuaData = function(object, number){RtuModuleSecondPage.prototype._SynchronizeRtuScalingToOpcuaData_(object, number);};
  var SynchronizeOtherServiceBitwiseData = function(object, number){RtuModuleSecondPage.prototype._SynchronizeOtherServiceBitwiseData_(object, number);};
  var SynchronizeRtuToBitwiseData = function(object, number){RtuModuleSecondPage.prototype._SynchronizeRtuToBitwiseData_(object, number);};
  var SynchronizeRtuBitwiseToOpcuaData = function(object, number){RtuModuleSecondPage.prototype._SynchronizeRtuBitwiseToOpcuaData_(object, number);};

  var ReplaceScalingBitwiseSourceVariableName = function(DataModel, TargetAddress, ReplaceName){RtuModuleSecondPage.prototype._ReplaceScalingBitwiseSourceVariableName_(DataModel, TargetAddress, ReplaceName);};
  var SynchronizeScalingBitwiseSourceVariableName = function(Mode){RtuModuleSecondPage.prototype._SynchronizeScalingBitwiseSourceVariableName_(Mode);};

  //全域變數 或 物件
  var BuildRtuSettingObject  = function(that){RtuModuleSecondPage.prototype._BuildRtuSettingObject_(that);};
  var BuildRtuVariableObject = function(that){RtuModuleSecondPage.prototype._BuildRtuVariableObject_(that);};  
  var BuildNewSystemVariableName = function(){RtuModuleSecondPage.prototype._BuildNewSystemVariableName_();};
  var BuildRtuScalingObject  = function(that){RtuModuleSecondPage.prototype._BuildRtuScalingObject_(that);};
  var BuildRtuToScalingObject  = function(that){RtuModuleSecondPage.prototype._BuildRtuSettingObject_(that);};
  var SetFormInitialValue = function(number){RtuModuleSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){RtuModuleSecondPage.prototype._SetInitialValue_(number);};
  var SetNewRtuVariableObjectValue = function(DataModelId, Data, number){RtuModuleSecondPage.prototype._SetNewRtuVariableObjectValue_(DataModelId, Data, number);};
  var SetNewRtuScalingVariableObjectValue = function(DataModelId, Data, number){RtuModuleSecondPage.prototype._SetNewRtuScalingVariableObjectValue_(DataModelId, Data, number);};
  var SetNewRtuBitwiseTagObjectValue = function(GlboalVariable, Data){RtuModuleSecondPage.prototype._SetNewRtuBitwiseTagObjectValue_(GlboalVariable, Data);};
  var SetNewRtuBitwiseVariableObjectValue = function(DataModelId, Data, number){RtuModuleSecondPage.prototype._SetNewRtuBitwiseVariableObjectValue_(DataModelId, Data, number);};
}